


/*---------------------------------------------*/
input {
	outline: none;
	border: none;
}
textarea {
  outline: none;
  border: none;
}
textarea:focus, input:focus {
  border-color: transparent !important;
}
input:focus::-webkit-input-placeholder { color:transparent; }
input:focus:-moz-placeholder { color:transparent; }
input:focus::-moz-placeholder { color:transparent; }
input:focus:-ms-input-placeholder { color:transparent; }

textarea:focus::-webkit-input-placeholder { color:transparent; }
textarea:focus:-moz-placeholder { color:transparent; }
textarea:focus::-moz-placeholder { color:transparent; }
textarea:focus:-ms-input-placeholder { color:transparent; }

input::-webkit-input-placeholder { color: #fff;}
input:-moz-placeholder { color: #fff;}
input::-moz-placeholder { color: #fff;}
input:-ms-input-placeholder { color: #fff;}

textarea::-webkit-input-placeholder { color: #fff;}
textarea:-moz-placeholder { color: #fff;}
textarea::-moz-placeholder { color: #fff;}
textarea:-ms-input-placeholder { color: #fff;}

label {
  margin: 0;
  display: block;
}

/*---------------------------------------------*/

/*---------------------Login Page Style Starts ------------------------*/
.container-login {
    background-color: rgba(0, 0, 0, 0);
    background-image: url("../images/banner_home-bg.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 683px;
    padding: 150px 30px 50px;
    position: relative;
    width: 100%;
    z-index: 1; 
}
.wrap-login {
    background: #ffffff;
    // background: #9152f8;
    // background: -webkit-linear-gradient(top, #7579ff, #b224ef);
    // background: -o-linear-gradient(top, #7579ff, #b224ef);
    // background: -moz-linear-gradient(top, #7579ff, #b224ef);
    // background: linear-gradient(top, #7579ff, #b224ef);
    border-radius: 2px;
    display: block;
    margin: 0 auto;
    max-width: 100%;
    padding: 55px 55px 37px 55px;
    overflow: hidden;
    width: 500px;
    &.wrap-signup {
        width: 750px;
    }
}
  
  
  /*------------------------------------------------------------------
  [ Form ]*/
  
.login-form {
    display: block;
    float: left;
    font-family: $base-font;    
    position: relative;
    width: 100%;
    .login-form-title {
        display: block;
        color: $secondary-color;
        font-size: 30px;
        font-weight: 600;
        line-height: 1.2;
        padding: 27px 0 34px;
        text-align: center;
        text-transform: uppercase;
        @include breakpoint(small) {
            font-size: 23px;
        }
        @include breakpoint(x-small) {
            font-size: 18px;
        }
    }
}

/*------------------------------------------------------------------
  [ Input ]*/
  
    .wrap-input {
        border-bottom: 2px solid rgba(0, 0, 0, 0.24);
        display: block;
        float: left;
        position: relative;
        margin-bottom: 30px;
        width: 100%;    
        .input {  
            background: transparent;
            color: #000000;
            display: block;
            float: left;
            font-size: 16px;
            height: 45px;
            line-height: 1.2;
            padding: 0 5px 0 38px;
            width: 100%;
            &:focus {
                padding-left: 5px;
            }
            &:focus + .focus-input-icon, &.has-val + .focus-input-icon {
                &:before {
                    width: 100%;
                }
                &:after {
                    top: -22px;
                    font-size: 18px;
                }
            }
            &.has-val {
                padding-left: 5px;
            }
            @include placeholder {
                color: $text-color;
            }
        }
        .focus-input-icon {
            position: absolute;
            display: block;
            height: 100%;
            left: 0;
            pointer-events: none;
            top: 0;
            width: 100%;
            &:before {
                background: $primary-color;
                bottom: -2px;
                content: "";
                display: block;
                left: 0;
                height: 2px;
                position: absolute;
                @include transition(all 0.4s ease);
                width: 0;
            }
            &:after {         
                content: attr(data-placeholder);
                color: #555555; 
                display: block;
                font-family: Material-Design-Iconic-Font;
                font-size: 22px;
                left: 0px;
                padding-left: 5px;
                position: absolute;
                top: 6px;
                @include transition(all 0.4s ease);
                width: 100%;
            }
        }
    }  
/*---------------------------------------------*/ 

/*------------------------------------------------------------------
  [ Input ]*/
  .signup_block {
    .wrap-input { 
        .input { 
            &:focus + .focus-input-icon, &.has-val + .focus-input-icon {
                &:after {
                    font-size: 13px;
                }
            }
        }
        .focus-input-icon {
            &:after {         
                content: attr(data-placeholder);
                color: #555555; 
                display: block;
                font-size: 15px;
                font-family: $base-font;
                left: 0px;
                padding-left: 5px;
                position: absolute;
                top: 14px;
                @include transition(all 0.4s ease);
                width: 100%;
            }
        }
    }  
  }  
/*---------------------------------------------*/ 

.footer-login {
    display: block;
    float: left;
    padding-top: 60px;
    position: relative;
    text-align: center;
    width: 100%;
    p {
        color: $text-color;
        float: left;
        font-size: 13px;
        line-height: 1.5;
        // letter-spacing: 0.8px;
        // text-transform: uppercase;
        width: 100%;
        word-spacing: 2px;
        a {
            color: $text-color;
            display: inline-block;
            float: none;
            // letter-spacing: 1px;
            margin: auto 3px;
            vertical-align: top;
            width: auto;
            &:hover, &:active, &:focus {
                color: $primary-color;
            }
        }
    }
}
  
/*==================================================================
  [ Restyle Checkbox ]*/
  
    .contact-form-checkbox {
        display: block;
        float: left;
        margin-bottom: 35px;
        margin-left: 5px;
        margin-top: 5px;
        position: relative;
        width: 100%;
        .input-checkbox {
            margin: 0;
            opacity: 0;
            z-index: 1;
            &:checked + .label-checkbox {
                color: $primary-color;
                &:before {
                    background: rgba(0, 0, 0, 0);
                    border-color: $primary-color;
                    color: $primary-color;
                }
            }
        }
        .label-checkbox {
            color: $text-color;
            cursor: pointer;
            display: block;
            float: left;
            font-size: 13px;
            font-weight: 400;
            line-height: 16px;
            padding-left: 26px;
            position: relative;
            &:before {
                background: #CFCFCF;
                border: 1px solid #CFCFCF;
                @include border-radius(2px);
                color: rgba(0, 0, 0, 0);
                content: "\f26b";          
                display: -webkit-box;
                display: -webkit-flex;
                display: -moz-box;
                display: -ms-flexbox;
                display: flex;
                justify-content: center;
                align-items: center;
                font-family: Material-Design-Iconic-Font;
                font-size: 13px;
            }
        }
        .input-checkbox, .label-checkbox::before {
            height: 16px;
            left: 0;
            position: absolute;
            top: 50%;
            @include transform(translateY(-50%));
            width: 16px;
        }
    }
  
/*------------------------------------------------------------------
  [ Button ]*/
    .container-login-form-btn {
        display: block;
        float: left;
        position: relative;
        text-align: center;
        width: 100%;
    }
    
    .login-form-btn {
        @include border-radius(2px);    
        // @include border-radius(25px);    
        background: $primary-color;
        border: none;
        color: #ffffff;
        display: inline-block;
        font-size: 16px;
        font-weight: 600;
        height: 50px;
        line-height: 1.2;
        min-width: 120px;
        padding: 0 20px;
        position: relative;
        @include transition(all 0.4s ease);
        z-index: 1;
        &:hover {  
            background: $secondary-color;
        }
        @include breakpoint(small) {
            min-width: auto;
            height: 44px;
        }
        @include breakpoint(x-small) {
            height: 34px;
            font-size: 14px;
        }
    } 
    .login-form-btn_black {
        @include border-radius(2px);    
        // @include border-radius(25px);    
        background: $secondary-color;
        border: none;
        color: #ffffff;
        display: inline-block;
        font-size: 16px;
        font-weight: 600;
        height: 50px;
        line-height: 1.2;
        min-width: 120px;
        padding: 0 20px;
        position: relative;
        @include transition(all 0.4s ease);
        z-index: 1;
        &:hover {  
            background: $titleColor;
        }
        @include breakpoint(small) {
            min-width: auto;
            height: 44px;
        }
        @include breakpoint(x-small) {
            height: 34px;
            font-size: 14px;
        }
    } 
    #CountryCode {
        height: 45px;
        border-bottom: 2px solid rgba(0, 0, 0, 0.24);
        border-left: none;
        border-top: none;
        border-right: none;
        width: 100px;
        margin-bottom: 27px;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        @include breakpoint(x-small) {
            width:85px;
        }
    }
    .country_code_select {
        padding-right: 10px;
    }
    .form-select {
        position: relative;
        &:before {
            position: absolute;
            border-top: solid 5px #999;
            border-left: solid 5px transparent;
            border-right:solid 5px transparent;
            content: '';
            top: 50%;
            right: 4px; 
            @include transform(translateY(-50%));
        }
    }
    .modal_body {
        text-align: center;
        .login-form {
            .login-form-title {
                padding: 0;
                font-size: 25px;
            }
            p {
                font-size: 16px;
                color: $text-color;
                @include breakpoint(small) {
                    font-size: 14px;
                    line-height: 1.3;
                }
                @include breakpoint(x-small) {
                    font-size: 13px;
                }
            }
        }
        .modal_btns {
            float: left;
            width: 100%;
            margin: 20px 0px;
            ul {
                float: left;
                width: 100%;
                li {
                    display: inline-block;
                    margin: 0px 6px;
                    @include breakpoint(x-small) {
                        margin-bottom: 10px;
                    }
                    .btn {
                        height: 42px;
                        min-width:100px;
                    }
                }
            }
        }
    }
    .reset_pass {
        margin-top: 20px;
        float: left;
        width: 100%;
    }

/*------------------------------------------------------------------
  [ Responsive ]*/
  
  @media (max-width: 576px) {
    .wrap-login {
      padding: 55px 15px 37px 15px;
    }
  }  
  
  
  
  /*------------------------------------------------------------------
  [ Alert validate ]*/
  
  .validate-input {
    position: relative;
  }
  
  .alert-validate::before {
    content: attr(data-validate);
    position: absolute;
    max-width: 70%;
    background-color: #fff;
    border: 1px solid #c80000;
    border-radius: 2px;
    padding: 4px 25px 4px 10px;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    right: 0px;
    pointer-events: none;
  
    color: #c80000;
    font-size: 13px;
    line-height: 1.4;
    text-align: left;
  
    visibility: hidden;
    opacity: 0;
  
    -webkit-transition: opacity 0.4s;
    -o-transition: opacity 0.4s;
    -moz-transition: opacity 0.4s;
    transition: opacity 0.4s;
    @include breakpoint(small) {
        content: attr(data-validate);
        padding: 0px 5px;
        bottom: 0;
        left: 13px;
        width: 100%;
        max-width: 100%;
        border: none;
        top: 4px;
        background-color: transparent;
    }
  }
  
  .alert-validate::after {
    content: "\f12a";
    font-family: FontAwesome;
    font-size: 16px;
    color: #c80000;
  
    display: block;
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    right: 5px;
    @include breakpoint(small) {
        top: -16px;        
        transform: none;
        right: auto;
        left: 5px;
    }
  }
  
  .alert-validate:hover:before {
    visibility: visible;
    opacity: 1;
  }
  
  @media (max-width: 992px) {
    .alert-validate::before {
      visibility: visible;
      opacity: 1;
    }
  }
  /*//////////////////////////////////////////////////////////////////
  [ Responsive ]*/









  